<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/4_world/dayzexpansion/entities/building/lamps/expansionparticlelightbase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d2d/a02408_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionparticlelightbase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d2d/a02408.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionParticleLightBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       ExpansionParticleLightBase</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d9/d73/a06713.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d73/a06713.html">ExpansionParticleLightBase</a>: <a class="code hl_class" href="../../d3/d06/a04733.html">ExpansionLampLightBase</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d9/d73/a06713.html#a70028a76aede962901b09544b5d2b424">   18</a></span>    <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a> <a class="code hl_variable" href="../../d9/d73/a06713.html#a70028a76aede962901b09544b5d2b424">m_Flare</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">// Constructor</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d9/d73/a06713.html#aad7c2fa381aa71d6cb5e25bfeacddff3">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d73/a06713.html#aad7c2fa381aa71d6cb5e25bfeacddff3">ExpansionParticleLightBase</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> ( IsMissionClient() )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_class" href="../../dd/d8e/a03377.html">ExpansionSettings</a>.<a class="code hl_variable" href="../../dd/d8e/a03377.html#ad3ba495be8256aa690e0d611129c8889">SI_General</a>.Insert( <a class="code hl_function" href="../../d9/d73/a06713.html#aeead52d4c3f0a480908c75af3d5960ca">OnSettingsUpdated</a> );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <a class="code hl_function" href="../../dc/dce/a00740.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a>().<a class="code hl_variable" href="../../d0/df4/a04201.html#ae8ffa5bbb27b7dbe5b9b48be877da007">SI_UpdateSetting</a>.Insert( <a class="code hl_function" href="../../d9/d73/a06713.html#aeead52d4c3f0a480908c75af3d5960ca">OnSettingsUpdated</a> );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <a class="code hl_class" href="../../d7/da9/a06689.html">ExpansionWorldObjectsModule</a>.<a class="code hl_variable" href="../../d7/da9/a06689.html#ab2a2bdf00d3f3e5d239e14700961233a">SI_LampEnable</a>.Insert( <a class="code hl_function" href="../../d3/d06/a04733.html#a9352d9fc5affdaf412617fbe006cff97">Enable</a> );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <a class="code hl_class" href="../../d7/da9/a06689.html">ExpansionWorldObjectsModule</a>.<a class="code hl_variable" href="../../d7/da9/a06689.html#a31e16ba5dbbc21a957b2a141d71a7b3a">SI_LampDisable</a>.Insert( <a class="code hl_function" href="../../d3/d06/a04733.html#a0ec842665a216d26a465650b23ff87d0">Disable</a> );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">// Destructor</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d9/d73/a06713.html#a5a78f03ae09b82b766a3e413f342415b">   38</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d73/a06713.html#a5a78f03ae09b82b766a3e413f342415b">~ExpansionParticleLightBase</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span> ( IsMissionClient() )</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <a class="code hl_class" href="../../dd/d8e/a03377.html">ExpansionSettings</a>.<a class="code hl_variable" href="../../dd/d8e/a03377.html#ad3ba495be8256aa690e0d611129c8889">SI_General</a>.Remove( <a class="code hl_function" href="../../d9/d73/a06713.html#aeead52d4c3f0a480908c75af3d5960ca">OnSettingsUpdated</a> );</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <a class="code hl_function" href="../../dc/dce/a00740.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a>().<a class="code hl_variable" href="../../d0/df4/a04201.html#ae8ffa5bbb27b7dbe5b9b48be877da007">SI_UpdateSetting</a>.Remove( <a class="code hl_function" href="../../d9/d73/a06713.html#aeead52d4c3f0a480908c75af3d5960ca">OnSettingsUpdated</a> );</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_class" href="../../d7/da9/a06689.html">ExpansionWorldObjectsModule</a>.<a class="code hl_variable" href="../../d7/da9/a06689.html#ab2a2bdf00d3f3e5d239e14700961233a">SI_LampEnable</a>.Remove( <a class="code hl_function" href="../../d3/d06/a04733.html#a9352d9fc5affdaf412617fbe006cff97">Enable</a> );</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <a class="code hl_class" href="../../d7/da9/a06689.html">ExpansionWorldObjectsModule</a>.<a class="code hl_variable" href="../../d7/da9/a06689.html#a31e16ba5dbbc21a957b2a141d71a7b3a">SI_LampDisable</a>.Remove( <a class="code hl_function" href="../../d3/d06/a04733.html#a0ec842665a216d26a465650b23ff87d0">Disable</a> );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="comment">// OnSettingsUpdated</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d9/d73/a06713.html#aeead52d4c3f0a480908c75af3d5960ca">   52</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d73/a06713.html#aeead52d4c3f0a480908c75af3d5960ca">OnSettingsUpdated</a>()</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> ( IsMissionClient() )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <a class="code hl_variable" href="../../d3/d06/a04733.html#ac5021daf6af393ea9a1cc7e70baab571">m_CastShadow</a> = <a class="code hl_function" href="../../dc/dce/a00740.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a>().<a class="code hl_variable" href="../../d0/df4/a04201.html#a4087499d7831fbaca28517c86308ec86">CastLightShadows</a>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <a class="code hl_variable" href="../../d3/d06/a04733.html#a92c839584f6353a86dd321fe1ba885b3">m_CanBeEnabled</a> = (<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#a2c2b46865ec8ef90a1f3715b34f08fa3">GetGeneral</a>() &amp;&amp; <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#a2c2b46865ec8ef90a1f3715b34f08fa3">GetGeneral</a>().<a class="code hl_variable" href="../../df/d4d/a06649.html#a5e08b34996c31e1655be4b812e1887ad">EnableLamps</a> != <a class="code hl_enumeration" href="../../dd/d1b/a02351.html#a7a33e66313c9659fc7c9f767a574c59f">LampModeEnum</a>.Disabled);</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d3/d06/a04733.html#a92c839584f6353a86dd321fe1ba885b3">m_CanBeEnabled</a> )</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>                <a class="code hl_function" href="../../d9/d73/a06713.html#a4f863d6d86d32ecae15e7ae2f12253fc">OnEnable</a>();</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            } </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                <a class="code hl_function" href="../../d9/d73/a06713.html#a73fed24a05107aa4c8b924671c7b91db">OnDisable</a>();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="comment">// Expansion OnEnable</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d9/d73/a06713.html#a4f863d6d86d32ecae15e7ae2f12253fc">   74</a></span>    <span class="keyword">protected</span> <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d73/a06713.html#a4f863d6d86d32ecae15e7ae2f12253fc">OnEnable</a>()</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        super.OnEnable();</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">if</span> ( IsMissionClient() )</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d3/d06/a04733.html#a7b6c0741d0a6ca648612347af653d6a5">IsEnabled</a>() &amp;&amp; <a class="code hl_variable" href="../../d3/d06/a04733.html#a92c839584f6353a86dd321fe1ba885b3">m_CanBeEnabled</a> )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d9/d73/a06713.html#a70028a76aede962901b09544b5d2b424">m_Flare</a> )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                    <span class="keywordflow">if</span> ( MemoryPointExists( <span class="stringliteral">&quot;zluty pozicni&quot;</span> ) )</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                    {   </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                        <a class="code hl_variable" href="../../d9/d73/a06713.html#a70028a76aede962901b09544b5d2b424">m_Flare</a> = <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a>.PlayOnObject( <a class="code hl_class" href="../../dc/df8/a04305.html">ParticleList</a>.<a class="code hl_variable" href="../../dc/df8/a04305.html#a96404b8c4e22ccad3144e834a6153e93">EXPANSION_LIGHT_YELLOW</a>, <span class="keyword">this</span>, GetMemoryPointPos(<span class="stringliteral">&quot;zluty pozicni&quot;</span>) + <span class="stringliteral">&quot;0 0.1 0&quot;</span> );</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                    } </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                    <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                        <a class="code hl_variable" href="../../d9/d73/a06713.html#a70028a76aede962901b09544b5d2b424">m_Flare</a> = <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a>.PlayOnObject( <a class="code hl_class" href="../../dc/df8/a04305.html">ParticleList</a>.<a class="code hl_variable" href="../../dc/df8/a04305.html#a96404b8c4e22ccad3144e834a6153e93">EXPANSION_LIGHT_YELLOW</a>, <span class="keyword">this</span>, <a class="code hl_function" href="../../d3/d06/a04733.html#ad8dcaf7869c634e1fa20ce72d88c5871">GetLampPosition</a>() + <span class="stringliteral">&quot;0 0.1 0&quot;</span> );</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="comment">// Expansion OnDisable</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d9/d73/a06713.html#a73fed24a05107aa4c8b924671c7b91db">  100</a></span>    <span class="keyword">protected</span> <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d73/a06713.html#a73fed24a05107aa4c8b924671c7b91db">OnDisable</a>()</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        super.OnDisable();</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">if</span> ( IsMissionClient() )</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        {</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d9/d73/a06713.html#a70028a76aede962901b09544b5d2b424">m_Flare</a> )</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                <a class="code hl_variable" href="../../d9/d73/a06713.html#a70028a76aede962901b09544b5d2b424">m_Flare</a>.Stop();</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                GetGame().ObjectDelete( <a class="code hl_variable" href="../../d9/d73/a06713.html#a70028a76aede962901b09544b5d2b424">m_Flare</a> );</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>};</div>
<div class="ttc" id="aa00740_html_ac819a3ce2982b743e915becd7db4fb9d"><div class="ttname"><a href="../../dc/dce/a00740.html#ac819a3ce2982b743e915becd7db4fb9d">GetExpansionClientSettings</a></div><div class="ttdeci">static ExpansionClientSettings GetExpansionClientSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/a00740_source.html#l01018">expansionclientsettings.c:1018</a></div></div>
<div class="ttc" id="aa02351_html_a7a33e66313c9659fc7c9f767a574c59f"><div class="ttname"><a href="../../dd/d1b/a02351.html#a7a33e66313c9659fc7c9f767a574c59f">LampModeEnum</a></div><div class="ttdeci">LampModeEnum</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00013">lampmodeenum.c:14</a></div></div>
<div class="ttc" id="aa03377_html"><div class="ttname"><a href="../../dd/d8e/a03377.html">ExpansionSettings</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08415_source.html#l00013">expansionsettings.c:14</a></div></div>
<div class="ttc" id="aa03377_html_a2c2b46865ec8ef90a1f3715b34f08fa3"><div class="ttname"><a href="../../dd/d8e/a03377.html#a2c2b46865ec8ef90a1f3715b34f08fa3">ExpansionSettings::GetGeneral</a></div><div class="ttdeci">ExpansionGeneralSettings GetGeneral(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d34/a08451_source.html#l00064">expansionsettings.c:64</a></div></div>
<div class="ttc" id="aa03377_html_ad3ba495be8256aa690e0d611129c8889"><div class="ttname"><a href="../../dd/d8e/a03377.html#ad3ba495be8256aa690e0d611129c8889">ExpansionSettings::SI_General</a></div><div class="ttdeci">static ref ScriptInvoker SI_General</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d34/a08451_source.html#l00015">expansionsettings.c:15</a></div></div>
<div class="ttc" id="aa04201_html_a4087499d7831fbaca28517c86308ec86"><div class="ttname"><a href="../../d0/df4/a04201.html#a4087499d7831fbaca28517c86308ec86">ExpansionClientSettings::CastLightShadows</a></div><div class="ttdeci">bool CastLightShadows</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/a00740_source.html#l00041">expansionclientsettings.c:41</a></div></div>
<div class="ttc" id="aa04201_html_ae8ffa5bbb27b7dbe5b9b48be877da007"><div class="ttname"><a href="../../d0/df4/a04201.html#ae8ffa5bbb27b7dbe5b9b48be877da007">ExpansionClientSettings::SI_UpdateSetting</a></div><div class="ttdeci">autoptr ScriptInvoker SI_UpdateSetting</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dce/a00740_source.html#l00019">expansionclientsettings.c:19</a></div></div>
<div class="ttc" id="aa04305_html"><div class="ttname"><a href="../../dc/df8/a04305.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d5e/a00860_source.html#l00013">expansionparticles.c:14</a></div></div>
<div class="ttc" id="aa04305_html_a96404b8c4e22ccad3144e834a6153e93"><div class="ttname"><a href="../../dc/df8/a04305.html#a96404b8c4e22ccad3144e834a6153e93">ParticleList::EXPANSION_LIGHT_YELLOW</a></div><div class="ttdeci">static const int EXPANSION_LIGHT_YELLOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d5e/a00860_source.html#l00047">expansionparticles.c:47</a></div></div>
<div class="ttc" id="aa04733_html"><div class="ttname"><a href="../../d3/d06/a04733.html">ExpansionLampLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dc9/a08913_source.html#l00001">expansionlamplightbase.c:2</a></div></div>
<div class="ttc" id="aa04733_html_a0ec842665a216d26a465650b23ff87d0"><div class="ttname"><a href="../../d3/d06/a04733.html#a0ec842665a216d26a465650b23ff87d0">ExpansionLampLightBase::Disable</a></div><div class="ttdeci">void Disable(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/a08916_source.html#l00225">expansionlamplightbase.c:225</a></div></div>
<div class="ttc" id="aa04733_html_a7b6c0741d0a6ca648612347af653d6a5"><div class="ttname"><a href="../../d3/d06/a04733.html#a7b6c0741d0a6ca648612347af653d6a5">ExpansionLampLightBase::IsEnabled</a></div><div class="ttdeci">bool IsEnabled()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/a08916_source.html#l00258">expansionlamplightbase.c:258</a></div></div>
<div class="ttc" id="aa04733_html_a92c839584f6353a86dd321fe1ba885b3"><div class="ttname"><a href="../../d3/d06/a04733.html#a92c839584f6353a86dd321fe1ba885b3">ExpansionLampLightBase::m_CanBeEnabled</a></div><div class="ttdeci">protected bool m_CanBeEnabled</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/a08916_source.html#l00021">expansionlamplightbase.c:21</a></div></div>
<div class="ttc" id="aa04733_html_a9352d9fc5affdaf412617fbe006cff97"><div class="ttname"><a href="../../d3/d06/a04733.html#a9352d9fc5affdaf412617fbe006cff97">ExpansionLampLightBase::Enable</a></div><div class="ttdeci">void Enable(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/a08916_source.html#l00127">expansionlamplightbase.c:127</a></div></div>
<div class="ttc" id="aa04733_html_ac5021daf6af393ea9a1cc7e70baab571"><div class="ttname"><a href="../../d3/d06/a04733.html#ac5021daf6af393ea9a1cc7e70baab571">ExpansionLampLightBase::m_CastShadow</a></div><div class="ttdeci">protected bool m_CastShadow</div><div class="ttdoc">Setting.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/a08916_source.html#l00023">expansionlamplightbase.c:23</a></div></div>
<div class="ttc" id="aa04733_html_ad8dcaf7869c634e1fa20ce72d88c5871"><div class="ttname"><a href="../../d3/d06/a04733.html#ad8dcaf7869c634e1fa20ce72d88c5871">ExpansionLampLightBase::GetLampPosition</a></div><div class="ttdeci">vector GetLampPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/a08916_source.html#l00085">expansionlamplightbase.c:85</a></div></div>
<div class="ttc" id="aa06649_html_a5e08b34996c31e1655be4b812e1887ad"><div class="ttname"><a href="../../df/d4d/a06649.html#a5e08b34996c31e1655be4b812e1887ad">ExpansionGeneralSettings::EnableLamps</a></div><div class="ttdeci">LampModeEnum EnableLamps</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d12/a02354_source.html#l00025">expansiongeneralsettings.c:25</a></div></div>
<div class="ttc" id="aa06689_html"><div class="ttname"><a href="../../d7/da9/a06689.html">ExpansionWorldObjectsModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00013">expansionworldobjectsmodule.c:14</a></div></div>
<div class="ttc" id="aa06689_html_a31e16ba5dbbc21a957b2a141d71a7b3a"><div class="ttname"><a href="../../d7/da9/a06689.html#a31e16ba5dbbc21a957b2a141d71a7b3a">ExpansionWorldObjectsModule::SI_LampDisable</a></div><div class="ttdeci">static ref ScriptInvoker SI_LampDisable</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00016">expansionworldobjectsmodule.c:16</a></div></div>
<div class="ttc" id="aa06689_html_ab2a2bdf00d3f3e5d239e14700961233a"><div class="ttname"><a href="../../d7/da9/a06689.html#ab2a2bdf00d3f3e5d239e14700961233a">ExpansionWorldObjectsModule::SI_LampEnable</a></div><div class="ttdeci">static ref ScriptInvoker SI_LampEnable</div><div class="ttdef"><b>Definition:</b> <a href="../../db/da1/a08985_source.html#l00015">expansionworldobjectsmodule.c:15</a></div></div>
<div class="ttc" id="aa06713_html"><div class="ttname"><a href="../../d9/d73/a06713.html">ExpansionParticleLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2d/a02408_source.html#l00016">expansionparticlelightbase.c:17</a></div></div>
<div class="ttc" id="aa06713_html_a4f863d6d86d32ecae15e7ae2f12253fc"><div class="ttname"><a href="../../d9/d73/a06713.html#a4f863d6d86d32ecae15e7ae2f12253fc">ExpansionParticleLightBase::OnEnable</a></div><div class="ttdeci">protected override void OnEnable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2d/a02408_source.html#l00074">expansionparticlelightbase.c:74</a></div></div>
<div class="ttc" id="aa06713_html_a5a78f03ae09b82b766a3e413f342415b"><div class="ttname"><a href="../../d9/d73/a06713.html#a5a78f03ae09b82b766a3e413f342415b">ExpansionParticleLightBase::~ExpansionParticleLightBase</a></div><div class="ttdeci">void ~ExpansionParticleLightBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2d/a02408_source.html#l00038">expansionparticlelightbase.c:38</a></div></div>
<div class="ttc" id="aa06713_html_a70028a76aede962901b09544b5d2b424"><div class="ttname"><a href="../../d9/d73/a06713.html#a70028a76aede962901b09544b5d2b424">ExpansionParticleLightBase::m_Flare</a></div><div class="ttdeci">Particle m_Flare</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2d/a02408_source.html#l00018">expansionparticlelightbase.c:18</a></div></div>
<div class="ttc" id="aa06713_html_a73fed24a05107aa4c8b924671c7b91db"><div class="ttname"><a href="../../d9/d73/a06713.html#a73fed24a05107aa4c8b924671c7b91db">ExpansionParticleLightBase::OnDisable</a></div><div class="ttdeci">protected override void OnDisable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2d/a02408_source.html#l00100">expansionparticlelightbase.c:100</a></div></div>
<div class="ttc" id="aa06713_html_aad7c2fa381aa71d6cb5e25bfeacddff3"><div class="ttname"><a href="../../d9/d73/a06713.html#aad7c2fa381aa71d6cb5e25bfeacddff3">ExpansionParticleLightBase::ExpansionParticleLightBase</a></div><div class="ttdeci">void ExpansionParticleLightBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2d/a02408_source.html#l00023">expansionparticlelightbase.c:23</a></div></div>
<div class="ttc" id="aa06713_html_aeead52d4c3f0a480908c75af3d5960ca"><div class="ttname"><a href="../../d9/d73/a06713.html#aeead52d4c3f0a480908c75af3d5960ca">ExpansionParticleLightBase::OnSettingsUpdated</a></div><div class="ttdeci">override void OnSettingsUpdated()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2d/a02408_source.html#l00052">expansionparticlelightbase.c:52</a></div></div>
<div class="ttc" id="aa06953_html"><div class="ttname"><a href="../../d8/dca/a06953.html">Particle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d75/a02639_source.html#l00013">particle.c:14</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_864c6f328578ae932bfe3d376685b434.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_be440f22580ce99ff5165b31aacfa13d.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_0d13345ef38b852a3bc96310936aad4f.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_39913d220affe0facbbb2f09f88946e9.html">building</a></li><li class="navelem"><a class="el" href="../../dir_bb1ebf882d7b0ff05d5cbb4a4be9e551.html">lamps</a></li><li class="navelem"><a class="el" href="../../d4/d2d/a02408.html">expansionparticlelightbase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
